Bug 991684 - Migrate cron job to systemd timer unit
Migrate cron job to systemd timer unit
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mosaab Alzoubi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: cron-to-timer-units
  Show dependency treegraph
 
Reported: 2013-08-03 11:25 EDT by Jóhann B. Guðmundsson
Modified: 2015-06-29 08:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:09:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Cron to systemd timer units patch (5.11 KB, patch)
2013-08-03 11:38 EDT, Jóhann B. Guðmundsson
no flags Details | Diff

  None (edit)
Description Jóhann B. Guðmundsson 2013-08-03 11:25:12 EDT
Description of problem:

Your component already depends on systemd which makes it a prime candidate for it to switch to use systemd timer units instead of having the additional require on crontabs and shipping a cron job. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2013-08-03 11:38:37 EDT
Created attachment 782330 [details]
Cron to systemd timer units patch

Migrate cron job to systemd timer units
Update spec file to current systemd guidelines
Fix incorrect file permissions on systemd unit
Comment 2 Fedora End Of Life 2013-09-16 11:00:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Jóhann B. Guðmundsson 2014-03-11 04:32:12 EDT
ping
Comment 4 Panu Matilainen 2014-03-11 04:34:12 EDT
Apt (and Synaptic) just need to be put out of their misery, finally.
Comment 5 Fedora Admin XMLRPC Client 2015-03-03 08:09:51 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2015-05-29 05:14:25 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:09:14 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.